package com.xhu.controller;

import com.xhu.domain.Student;
import com.xhu.service.StudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;

@Controller
@RequestMapping("/student")
public class StudentController {
    @Autowired
    private StudentService studentService;
    @RequestMapping("/all")
    public String all(Model model){
        List<Student> list = studentService.findAllStudent();
        model.addAttribute("list",list);
        return "allStudent";
    }
    @RequestMapping("/add")
    public String add(Student student){
        studentService.addStudent(student);
        return "redirect:/student/all";
    }
}
